package com.fs.live.service;

import java.util.List;

import com.fs.live.domain.LiveUserFollow;

/**
 * 用户直播关注Service接口
 *
 * @author fs
 * @date 2025-07-11
 */
public interface ILiveUserFollowService {
    /**
     * 查询用户直播关注
     *
     * @param id 用户直播关注主键
     * @return 用户直播关注
     */
    LiveUserFollow selectLiveUserFollowById(Long id);

    /**
     * 查询用户直播关注列表
     *
     * @param liveUserFollow 用户直播关注
     * @return 用户直播关注集合
     */
    List<LiveUserFollow> selectLiveUserFollowList(LiveUserFollow liveUserFollow);

    /**
     * 新增用户直播关注
     *
     * @param liveUserFollow 用户直播关注
     * @return 结果
     */
    int insertLiveUserFollow(LiveUserFollow liveUserFollow);

    /**
     * 修改用户直播关注
     *
     * @param liveUserFollow 用户直播关注
     * @return 结果
     */
    int updateLiveUserFollow(LiveUserFollow liveUserFollow);

    /**
     * 批量删除用户直播关注
     *
     * @param ids 需要删除的用户直播关注主键集合
     * @return 结果
     */
    int deleteLiveUserFollowByIds(Long[] ids);

    /**
     * 删除用户直播关注信息
     *
     * @param id 用户直播关注主键
     * @return 结果
     */
    int deleteLiveUserFollowById(Long id);

    LiveUserFollow selectLiveUserFollowByLiveIdAndUserId(Long liveId, Long userId);

    void deleteLiveUserFollowByLiveIdAndUserId(Long liveId, Long userId);

    boolean isFollow(Long liveId, Long userId);
}
